Name:			gmrun
Version:		0.9.2
Release:		39%{?dist}
Summary:		Lightweight "Run program" dialog box with search history and tab completion

%if 0%{?rhel} != 0
%if %{?rhel} <= 5
%define new_version	0
%else
%define new_version	1
%endif
%else
%define new_version 1
%endif

Group:			User Interface/Desktops
License:		GPL+
URL:			http://sourceforge.net/projects/gmrun
Source0:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:			gmrun-gmrunrc.patch
Patch1:			gmrun-0.9.2-gcc43.patch
Patch2:			gmrun-0.9.2-mousewheel.patch
%if %{new_version} == 1
Patch3:			gmrun-0.9.2-f12.patch
%endif
Patch4:			gmrun-0.9.2-multihead.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if %{new_version} == 1
BuildRequires:	popt-devel
%else
BuildRequires:	popt
%endif
BuildRequires:	gtk2-devel
Requires:		xterm
%if 0%{?fedora} >= 14
Requires:		man-pages-reader
%else
Requires:		man
%endif
Requires:		info
Requires:		xdg-utils


%description
A simple GTK program which provides a "run program" window.
It features a bash-like TAB completion, Ctrl-R/Ctrl-S for 
searching through the history and URL handlers for any user defined
prefix.


%prep
%setup -q
%patch0 -p1 -b .gmrunrc
%patch1 -p1 -b .gcc43
%patch2 -p1 -b .mousewheel
%if %{new_version} == 1
%patch3 -p1 -b .f12_support
%endif
%patch4 -p1 -b .multihead


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING README NEWS
%{_datadir}/gmrun/
%{_bindir}/gmrun


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.2-33
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-27
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 16 2011  Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-25
- Multi-head fix. (#746187, initial patch by Jens Petersen)

* Mon Jul 25 2011 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-24
- EL6 support.
- Cleaner spec.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 28 2010 Gilboa Davara <gilboad@gmail.com> - 0.9.2-22
- Replace man with man-pages-reader. (#582930)

* Fri Jan 22 2010 Gilboa Davara <gilboad@gmail.com> - 0.9.2-21
- Make the F12 optional on F11 and above.

* Mon Jan 11 2010 Gilboa Davara <gilboad@gmail.com> - 0.9.2-19
- Fix #511639. Should build on F12.
- Add mouse wheel support.
- Fix possible crash due total input size.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 04 2008 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-15
- Reapply Ville's xdg-utils patch.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-13
- Autorebuild for GCC 4.3

* Thu Jan 17 2008 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-11
- Replace htmlview with xdg-utils. (#388441, Patch by Ville Skytta)
- gcc4.3 compile fix.
- EPEL5 regression.

* Mon Aug 27 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-10
- Re-Fix bad %%{_fedora} if/else. (Bad day)

* Mon Aug 27 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-9
- Fix bad %%{_fedora} if/else.

* Sun Aug 26 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-8
- Fixed license tag.
- Fixed F8 BR - popt-devel.

* Sat Feb 10 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-7
- Preserve the source time-stamp.

* Sun Feb 04 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-6
- Fixed summery.
- Remove redundant fileattr.

* Sun Jan 28 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-5
- Missing REQ: man.
- Missing REQ: info.
- Missing REQ: xdg-open.
- Use xdg-open to handle files.

* Sat Jan 20 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-4
- Add missing NEWS to %%doc.

* Thu Jan 18 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-3
- Fix wrong group and project URLs.
- Fix summery, description.
- Remove BR: glib2-devel. (REQ by gtk2-devel).
- Add BR: popt
- Remove gmrunrc from %%config section.
- Set gmrunrc to 0644 (by default it's 0600)
- Configure gmrunrc to better handle Fedora URI's.
- Add REQ: htmlview. (gmrunrc)
- Add REQ: xterm. (gmrunrc)

* Sat Jan 13 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-2
- Fix Source0 URL.
- Remove redundant %%doc files.

* Sat Jan 13 2007 Gilboa Davara <gilboad[AT]gmail.com> - 0.9.2-1
- Initial release.

